Bug 322633 - Compositing stop working if UndirectFullscreen option get disabled while fullscreen application is active
Summary: Compositing stop working if UndirectFullscreen option get disabled while full...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: 4.10.95
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/111...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 22:52 UTC by RussianNeuroMancer
Modified: 2013-08-05 20:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RussianNeuroMancer 2013-07-20 22:52:39 UTC
Compositing stop working on one display if UndirectFullscreen option get disabled while fullscreen application is active. That possible if you have fullscreen application (for example video player) running on one display and systemsettings on another. At least for me it very easily reproducible.

Reproducible: Always

Steps to Reproduce:
1. Attach at least two displays.
2. Enable UndirectFullscreen.
3. Start video player on first display, switch it to fullscreen mode, start video playback.
4. Launch System Settings on second display, disable UndirectFullscreen and Apply.
Actual Results:  
Compositing stop working on which had fullscreen application running while user change settings.

Expected Results:  
Compositing doesn't stop working,
Comment 1 Thomas Lübking 2013-07-20 23:35:12 UTC
The unredirection mask on the overlay window is not properly cleared (or so it seems)
Comment 2 Thomas Lübking 2013-08-05 19:01:59 UTC
Git commit 4fe08cd04ab062d855cade7ae0e9efc4317d5887 by Thomas Lübking.
Committed on 03/08/2013 at 20:13.
Pushed by luebking into branch 'KDE/4.11'.

bind unredirection change to unredirection update

when the option changes, the compositor needs to update
the state as it will later not act (in the disabled case)
and should to reflect the option change.

REVIEW: 111867
FIXED-IN: 4.11

M  +4    -2    kwin/composite.cpp

http://commits.kde.org/kde-workspace/4fe08cd04ab062d855cade7ae0e9efc4317d5887
Comment 3 RussianNeuroMancer 2013-08-05 20:04:01 UTC
Thank you! :)